Bug 1257568 - /usr/lib64/dirsrv/libnunc-stans.so is owned by both -libs and -devel
Summary: /usr/lib64/dirsrv/libnunc-stans.so is owned by both -libs and -devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-27 11:24 UTC by Jan Pazdziora
Modified: 2016-11-03 20:35 UTC (History)
2 users (show)

Fixed In Version: 389-ds-base-1.3.5.5-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:35:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Jan Pazdziora 2015-08-27 11:24:25 UTC
Description of problem:

The file /usr/lib64/dirsrv/libnunc-stans.so is owned by both -libs and -devel, even if -devel requires -libs so will install that file via -libs anyway.

Version-Release number of selected component (if applicable):

# rpm -qf /usr/lib64/dirsrv/libnunc-stans.so
389-ds-base-libs-1.3.4.0-13.el7.x86_64
389-ds-base-devel-1.3.4.0-13.el7.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. # rpm -qf /usr/lib64/dirsrv/libnunc-stans.so

Actual results:

389-ds-base-libs-1.3.4.0-13.el7.x86_64
389-ds-base-devel-1.3.4.0-13.el7.x86_64

Expected results:

389-ds-base-libs-1.3.4.0-13.el7.x86_64

Additional info:

Note that

# rpm -q --requires 389-ds-base-devel-1.3.4.0-13.el7.x86_64 | grep 389-ds-base-libs
389-ds-base-libs = 1.3.4.0-13.el7

Comment 4 Noriko Hosoi 2016-01-07 19:24:13 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/48404

Comment 6 Viktor Ashirov 2016-06-15 06:58:14 UTC
Build tested: 
389-ds-base-1.3.5.6-1.el7.x86_64

#  rpm -qf /usr/lib64/dirsrv/libnunc-stans.so
389-ds-base-devel-1.3.5.6-1.el7.x86_64

#  rpm -qf /usr/lib64/dirsrv/libnunc-stans.so.0
389-ds-base-libs-1.3.5.6-1.el7.x86_64

#  rpm -qf /usr/lib64/dirsrv/libnunc-stans.so.0.0.0 
389-ds-base-libs-1.3.5.6-1.el7.x86_64

Marking as VERIFIED

Comment 8 errata-xmlrpc 2016-11-03 20:35:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.